True that DPP4 does not work with 5DII files?

Started 1 month ago | Discussions thread
RS_RS
Senior MemberPosts: 1,434
Like?
Re: True that DPP4 does not work with 5DII files?
In reply to maiaibing, 1 month ago

maiaibing wrote:

Cannot check this myself these weeks. Would be surprised if DPP does not support 5DII which is not that old yet.

DPP 4 currently supports 1DX, 1DC, 5DIII, 6D. New version(s) of DPP 3 are promised for other bodies.

This statement from Canon establishes the position for the short term. But it leaves open a number of medium- to long-term questions.

1. As new bodies are introduced, for example the anticipated 7D Mark II, will they be added to DPP 4.0, or to DPP 3.X, or a mixture of the two depending on level and format of the bodies?

2. Which current bodies not supported by DPP 4, and which older bodies, will be migrated to it, if any?

3. Are some .CR2 files at risk of being orphaned?

The last of these is the real worry. So far Canon have been good at providing support for CR2 files (and converted CRW files) from way beck including those from non-EOS bodies like the Pro-1 and the G9. But EOS Utility support is a different matter. With the change from 2.4 to 2.5 support for numerous older EOS bodies, including 1D-series, was dropped, and if you still need to connect one to a PC then you have to find a PC running Windows XP on which to install 2.4, and you may also need a FireWire port. This is not an encouraging precedent.

Reply   Reply with quote   Complain
Post (hide subjects)Posted by
Keyboard shortcuts:
FForum PPrevious NNext WNext unread UUpvote SSubscribe RReply QQuote BBookmark post MMy threads
Color scheme? Blue / Yellow